Bug 171100 - HP NetRAID-1Si (MegaRaid) device driver does not work properly
HP NetRAID-1Si (MegaRaid) device driver does not work properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 04:42 EDT by Dmitry Hazov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 08:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Hazov 2005-10-18 04:42:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
I notice very high CPU wait utilization and slow disk operation during varios disk operation with MegaRaid.
For example:
190 mb test file
1.coping file inside one disk parttion

# time cp fedora-ds.tar fedora-ds.tar1
real    0m58.426s
user    0m0.096s
sys     0m2.252s

the top show me
Tasks:  70 total,   1 running,  69 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.3% us,  4.0% sy,  0.0% ni,  0.0% id, 95.7% wa,  0.0% hi,  0.0% si
Mem:    514740k total,   508260k used,     6480k free,     1192k buffers
Swap:  1048568k total,      616k used,  1047952k free,   469152k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
22384 root      18   0  3744  628  552 D  2.3  0.1   0:00.32 cp
22359 root      16   0  2016 1040  808 R  0.7  0.2   0:00.53 top
in /var/log/dmesg
......
PCI: setting IRQ 11 as level-triggered
PCI: Assigned IRQ 11 for device 0000:03:02.1
megaraid: found 0x8086:0x1960:bus 3:slot 2:func 1
scsi2:Found MegaRAID controller at 0xe082c000, IRQ:11
megaraid: [..F :..B ] detected 1 logical drives.
megaraid: channel[0] is raid.
scsi2 : LSI Logic MegaRAID ..F  254 commands 16 targs 4 chans 7 luns
scsi2: scanning scsi channel 0 for logical drives.
  Vendor: MegaRAID  Model: LD0 RAID5 17354R  Rev:   F
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 35540992 512-byte hdwr sectors (18197 MB)
sda: asking for cache data failed
sda: assuming drive cache: write through
.......
asking for cache data failed - is it normaly?

for information
/sbin/lspci -s 03:02.1 -v -x
03:02.1 RAID bus controller: Intel Corporation 80960RP [i960RP Microprocessor] (rev 05)
        Subsystem: Hewlett-Packard Company HP NetRAID-1Si
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at fd010000 (32-bit, prefetchable) [size=64K]
        [virtual] Expansion ROM at 20020000 [disabled] [size=32K]
        Capabilities: [80] Power Management version 2
00: 86 80 60 19 16 01 90 02 05 00 04 01 08 40 80 00
10: 08 00 01 fd 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 3c 10 cd 10
30: 00 00 00 00 80 00 00 00 00 00 00 00 0b 01 00 00


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526

How reproducible:
Always

Steps to Reproduce:
1.Install FC4
2.Create any test file with size 200-300 mb
3.execute
time cp test_file test_file2
4.During coping look at 'CPU IO wait' in top
  

Additional info:
Comment 1 Dave Jones 2005-11-10 14:59:00 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2006-02-03 00:51:51 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-06 08:35:21 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.